<header class="header">
  <nav class="navegacion">
    <ul class="navegacion__list">
      <img
        class="navegacion__logo"
        src="/assets/images/spotify-logo-inicio.png"
        alt=""
      />
      <li
        class="navegacion__item"
        routerLink="/home/list"
        routerLinkActive="active"
      >
        <app-icon [classIcon]="'fa-house'"></app-icon>
        <!-- <i class="fa-solid fa-house"></i> -->
        <p>Home</p>
      </li>
      <li
        class="navegacion__item"
        routerLink="/home/favoritos"
        routerLinkActive="active"
      >
        <app-icon [classIcon]="'fa-star'"></app-icon>
        <!--  <i class="fa-solid fa-star"></i> -->
        <p>Favoritos</p>
      </li>
    </ul>
    <div class="navegacion__perfil">
      <div
        class="navegacion__contenedor"
        (click)="mostrarModal = !mostrarModal"
      >
        <p>Sergio Lozada</p>
        <i class="fa-solid fa-caret-down"></i>
      </div>
      <button class="navegacion__boton" (click)="logout()" *ngIf="mostrarModal">
        <i class="fa-solid fa-right-from-bracket"></i>
        Cerrar sesión
      </button>
    </div>
  </nav>
</header>
